extern unsigned long __eti_atomic_test_and_set_start;
extern unsigned long __eti_atomic_test_and_set_end;

extern long int __syscall_eti_register(unsigned long, unsigned long);

void __eti_register_atomic(void) {
    __syscall_eti_register((unsigned long)&__eti_atomic_test_and_set_start,
                           (unsigned long)&__eti_atomic_test_and_set_end);
}
